import type { PipeableStream, RenderToPipeableStreamOptions } from "react-dom/server";
import express from "express";
export type ServerSideRenderFn = (url: string, options?: RenderToPipeableStreamOptions) => Promise<PipeableStream>;
export declare function ssr(app: express.Express, { isProduction, hmrPort, }: {
    isProduction: boolean;
    hmrPort: number;
}): Promise<express.Express>;
//# sourceMappingURL=server.d.ts.map